-- MySQL Script generated by MySQL Workbench
-- ter 26 mar 2019 11:08:49 -03
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema flisol
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `flisol` ;

-- -----------------------------------------------------
-- Schema flisol
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `flisol` ;
USE `flisol` ;

-- -----------------------------------------------------
-- Table `flisol`.`evento`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`evento` ;

CREATE TABLE IF NOT EXISTS `flisol`.`evento` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `titulo` VARCHAR(250) NOT NULL,
  `imagem` VARCHAR(45) NOT NULL,
  `tipo` TINYINT(5) NOT NULL,
  `descricao` VARCHAR(250) NOT NULL,
  `horario` TIME NOT NULL,
  `local` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`id`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `flisol`.`usuario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`usuario` ;

CREATE TABLE IF NOT EXISTS `flisol`.`usuario` (
  `cpf` VARCHAR(12) NOT NULL,
  `nome` VARCHAR(45) NOT NULL,
  `email` VARCHAR(45) NOT NULL,
  `rg` VARCHAR(11) NOT NULL,
  `senha` VARCHAR(45) NOT NULL,
  `telefone` VARCHAR(45) NULL,
  `sexo` TINYINT(5) NULL,
  `idade` INT NULL,
  `curso` VARCHAR(45) NOT NULL,
  `instituicao` VARCHAR(45) NOT NULL,
  `tamanho_camisa` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`cpf`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `flisol`.`equipe`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`equipe` ;

CREATE TABLE IF NOT EXISTS `flisol`.`equipe` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `nome_equipe` VARCHAR(45) NOT NULL,
  `usuario_cpf` VARCHAR(12) NOT NULL,
  PRIMARY KEY (`id`, `usuario_cpf`),
  INDEX `fk_equipe_usuario1_idx` (`usuario_cpf` ASC),
  CONSTRAINT `fk_equipe_usuario1`
    FOREIGN KEY (`usuario_cpf`)
    REFERENCES `flisol`.`usuario` (`cpf`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `flisol`.`contribuinte`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`contribuinte` ;

CREATE TABLE IF NOT EXISTS `flisol`.`contribuinte` (
  `cpf` VARCHAR(15) NOT NULL,
  `nome` VARCHAR(45) NOT NULL,
  `email` VARCHAR(45) NOT NULL,
  `telefone` VARCHAR(45) NOT NULL,
  `rg` VARCHAR(11) NOT NULL,
  `tipo_atividade` TINYINT(4) NULL,
  `descricao` VARCHAR(45) NOT NULL,
  `materiais` VARCHAR(45) NULL,
  `tipo` TINYINT(3) NOT NULL,
  `titulo_atividade` VARCHAR(45) NULL,
  PRIMARY KEY (`cpf`))
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `flisol`.`horario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`horario` ;

CREATE TABLE IF NOT EXISTS `flisol`.`horario` (
  `horario` TIME NOT NULL,
  `contribuinte_cpf` VARCHAR(12) NOT NULL,
  PRIMARY KEY (`horario`, `contribuinte_cpf`),
  INDEX `fk_horario_contribuinte1_idx` (`contribuinte_cpf` ASC),
  CONSTRAINT `fk_horario_contribuinte1`
    FOREIGN KEY (`contribuinte_cpf`)
    REFERENCES `flisol`.`contribuinte` (`cpf`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `flisol`.`evento_usuario`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `flisol`.`evento_usuario` ;

CREATE TABLE IF NOT EXISTS `flisol`.`evento_usuario` (
  `evento_id` INT NOT NULL,
  `usuario_cpf` VARCHAR(12) NOT NULL,
  PRIMARY KEY (`evento_id`, `usuario_cpf`),
  INDEX `fk_evento_has_usuario_usuario1_idx` (`usuario_cpf` ASC),
  INDEX `fk_evento_has_usuario_evento1_idx` (`evento_id` ASC),
  CONSTRAINT `fk_evento_has_usuario_evento1`
    FOREIGN KEY (`evento_id`)
    REFERENCES `flisol`.`evento` (`id`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `fk_evento_has_usuario_usuario1`
    FOREIGN KEY (`usuario_cpf`)
    REFERENCES `flisol`.`usuario` (`cpf`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8;



SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
